package com.ruoyi.system.utils;

/**
 * @author xyx
 * @date 2024/4/18
 */
public class AccSubjectReqParamHandler {

    /**
     *
     * @param name 费用来源
     * @param material 物料名称
     * @param department 部门名称
     * @return 科目详情列表中索要查找的 name: ZH_CN
     */
    public static String paramHandler(String name, String material, String department) {
        switch (name) {
            case "基本生产":
                return "基本生产_直接材料_" + material;
            case "制造费用":
            case "销售费用":
                return name + "_材料及低值易耗品";
            case "其他业务成本":
                if ("其他材料".equals(material) || "运输业务".equals(material)) {
                    return "其他业务成本_" + department;
                }
            case "管理费用":
                return "管理费用_管理费_材料及低值易耗品";
            case "专项储备":
                return "专项储备_煤炭生产安全费_本年减少_费用性支出";
            case "研究费用":
                return "研发支出_费用化支出_材料及低值易耗品";
            case "内部投资":
                return "在建工程_内部投资工程";
        }
        return null;
    }

}
